import dynamix_sdk.base as _base


class CloudapiK8sDeleteWorkerFromGroupResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiK8sDeleteWorkerFromGroupProtocol(
    _base.BasePostAPIFunctionProtocol,
):
    def delete_worker_from_group(
        self,
        *,
        k8s_id: int,
        worker_group_id: int,
        worker_node_id: int,
    ) -> CloudapiK8sDeleteWorkerFromGroupResultBool:
        ...
